Bug 144136 - CAN-2004-1235 isec.pl do_brk() privilege escalation
CAN-2004-1235 isec.pl do_brk() privilege escalation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
reported=20041222,public=20050106,imp...
: Security
Depends On:
Blocks: 144195
  Show dependency treegraph
 
Reported: 2005-01-04 14:39 EST by Josh Bressers
Modified: 2015-01-04 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 12:21:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (7.06 KB, patch)
2005-01-04 14:49 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-01-04 14:39:06 EST
isec.pl reported a missing down() on mmap_sem semaphore whilst calling do_brk;
so if do_brk() sleeps on a kmalloc it may get into a VMA list race - leading to
results similar to the do_brk exploit.
Comment 2 Josh Bressers 2005-01-04 14:49:58 EST
Created attachment 109344 [details]
Proposed patch for this issue.
Comment 3 Mark J. Cox (Product Security) 2005-01-10 04:28:25 EST
Removing embargo
Comment 4 Josh Bressers 2005-02-18 12:21:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-092.html

Note You need to log in before you can comment on or make changes to this bug.